=== debian/control ===
Source: ros-jazzy-irobot-create-gz-plugins
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-cppcheck <!nocheck>, ros-jazzy-ament-cmake-cpplint <!nocheck>, ros-jazzy-ament-cmake-flake8 <!nocheck>, ros-jazzy-ament-cmake-lint-cmake <!nocheck>, ros-jazzy-ament-cmake-pep257 <!nocheck>, ros-jazzy-ament-cmake-xmllint <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-gz-gui-vendor, ros-jazzy-ros-gz, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-irobot-create-gz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-gz-gui-vendor, ros-jazzy-ros-gz, ros-jazzy-ros-workspace
Description: Ignition plugins for simulated iRobot(R) Create(R) 3 Educational Robot.
